#!/usr/bin/env python
# -*- coding: UTF-8 -*-
#
# generated by wxGlade 0.7.2 on Fri Dec 29 17:09:53 2017
#

import wx

# begin wxGlade: dependencies
import gettext
# end wxGlade

# begin wxGlade: extracode
# end wxGlade


class LibraryDBGUI(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: LibraryDBGUI.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        self.notebook1 = wx.Notebook(self, wx.ID_ANY)
        self.panel_1 = wx.Panel(self.notebook1, wx.ID_ANY)
        self.label_3_copy_1 = wx.StaticText(self.panel_1, wx.ID_ANY, _("MySQL database name"))
        self.txt_mysql_database = wx.TextCtrl(self.panel_1, wx.ID_ANY, "")
        self.label_3_copy_1_copy = wx.StaticText(self.panel_1, wx.ID_ANY, _("MySQL table name"))
        self.txt_mysql_table = wx.TextCtrl(self.panel_1, wx.ID_ANY, "")
        self.label_3_copy = wx.StaticText(self.panel_1, wx.ID_ANY, _("Android server URL"))
        self.txt_url_server = wx.TextCtrl(self.panel_1, wx.ID_ANY, "")
        self.label_4 = wx.StaticText(self.panel_1, wx.ID_ANY, _("Android server username"))
        self.txt_url_user = wx.TextCtrl(self.panel_1, wx.ID_ANY, _("(not used)"))
        self.label_5 = wx.StaticText(self.panel_1, wx.ID_ANY, _("Android server password"))
        self.txt_url_password = wx.TextCtrl(self.panel_1, wx.ID_ANY, _("(not used)"))
        self.chkbox_verbose = wx.CheckBox(self.panel_1, wx.ID_ANY, _("Verbose"))
        self.chkbox_voice = wx.CheckBox(self.panel_1, wx.ID_ANY, _("Voice Prompts"))
        self.radio_parse = wx.RadioButton(self.panel_1, wx.ID_ANY, _("File Parse mode"))
        self.radio_url = wx.RadioButton(self.panel_1, wx.ID_ANY, _("Android server mode"))
        self.notebook_3_pane_2 = wx.Panel(self.notebook1, wx.ID_ANY)
        self.txt_log = wx.TextCtrl(self.notebook_3_pane_2, wx.ID_ANY, "", style=wx.HSCROLL | wx.TE_MULTILINE | wx.TE_READONLY)
        self.create_table_button = wx.Button(self, wx.ID_ANY, _("Create"))
        self.rebuild_table_button = wx.Button(self, wx.ID_ANY, _("Rebuild"))
        self.start_button = wx.Button(self, wx.ID_ANY, _("Start"))
        self.stop_button = wx.Button(self, wx.ID_ANY, _("Stop"))
        self.erase_log_button = wx.Button(self, wx.ID_ANY, _("Erase"))
        self.help_button = wx.Button(self, wx.ID_ANY, _("Help"))
        self.quit_button = wx.Button(self, wx.ID_ANY, _("Quit"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: LibraryDBGUI.__set_properties
        self.SetTitle(_("Library Database"))
        self.txt_url_server.SetToolTipString(_("Example: 192.168.0.5:8999"))
        self.txt_url_user.SetToolTipString(_("This value is set in the Android 3CX program"))
        self.txt_url_password.SetToolTipString(_("This value is set in the Android 3CX program"))
        self.chkbox_verbose.SetToolTipString(_("Provide additional summary data"))
        self.chkbox_voice.SetToolTipString(_("Provide voice feedback"))
        self.radio_parse.SetToolTipString(_("Parse files in \"isbn_scanned_codes\" directory"))
        self.radio_url.SetToolTipString(_("Directly monitor Android device"))
        self.radio_url.SetValue(1)
        self.txt_log.SetFont(wx.Font(10, wx.DEFAULT, wx.NORMAL, wx.NORMAL, 0, ""))
        self.create_table_button.SetToolTipString(_("Create database and table if they don't exist"))
        self.rebuild_table_button.SetToolTipString(_("Use preserved JSON files to rebuild missing records"))
        self.start_button.SetToolTipString(_("Start selected procedure"))
        self.stop_button.SetToolTipString(_("Interrupt running procedure"))
        self.erase_log_button.SetToolTipString(_("Erase log"))
        self.help_button.SetToolTipString(_("Visit Library Database Home Page"))
        self.quit_button.SetToolTipString(_("Quit Library Database"))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: LibraryDBGUI.__do_layout
        sizer_1 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, ""), wx.VERTICAL)
        grid_sizer_2 = wx.GridSizer(1, 7, 0, 0)
        sizer_2 = wx.BoxSizer(wx.VERTICAL)
        sizer_3 = wx.BoxSizer(wx.VERTICAL)
        sizer_6 = wx.BoxSizer(wx.HORIZONTAL)
        grid_sizer_1 = wx.GridSizer(8, 2, 0, 4)
        grid_sizer_1.Add(self.label_3_copy_1, 0, wx.ALIGN_CENTER_VERTICAL | wx.ALIGN_RIGHT, 0)
        grid_sizer_1.Add(self.txt_mysql_database, 1, wx.EXPAND, 0)
        grid_sizer_1.Add(self.label_3_copy_1_copy, 0, wx.ALIGN_CENTER_VERTICAL | wx.ALIGN_RIGHT, 0)
        grid_sizer_1.Add(self.txt_mysql_table, 1, wx.EXPAND, 0)
        grid_sizer_1.Add(self.label_3_copy, 0, wx.ALIGN_CENTER_VERTICAL | wx.ALIGN_RIGHT, 0)
        grid_sizer_1.Add(self.txt_url_server, 1, wx.EXPAND, 0)
        grid_sizer_1.Add(self.label_4, 0, wx.ALIGN_CENTER_VERTICAL | wx.ALIGN_RIGHT, 0)
        grid_sizer_1.Add(self.txt_url_user, 1, wx.EXPAND, 0)
        grid_sizer_1.Add(self.label_5, 0, wx.ALIGN_CENTER_VERTICAL | wx.ALIGN_RIGHT, 0)
        grid_sizer_1.Add(self.txt_url_password, 1, wx.EXPAND, 0)
        sizer_3.Add(grid_sizer_1, 0, wx.EXPAND, 0)
        sizer_6.Add(self.chkbox_verbose, 0, wx.ALIGN_CENTER, 0)
        sizer_6.Add(self.chkbox_voice, 0, wx.ALIGN_CENTER, 0)
        sizer_6.Add(self.radio_parse, 0, wx.ALIGN_CENTER, 0)
        sizer_6.Add(self.radio_url, 0, wx.ALIGN_CENTER, 0)
        sizer_3.Add(sizer_6, 0, wx.ALIGN_CENTER_HORIZONTAL, 0)
        self.panel_1.SetSizer(sizer_3)
        sizer_2.Add(self.txt_log, 1, wx.EXPAND, 0)
        self.notebook_3_pane_2.SetSizer(sizer_2)
        self.notebook1.AddPage(self.panel_1, _("Settings"))
        self.notebook1.AddPage(self.notebook_3_pane_2, _("Event Log"))
        sizer_1.Add(self.notebook1, 5, wx.EXPAND, 0)
        grid_sizer_2.Add(self.create_table_button, 0, wx.ALIGN_CENTER | wx.EXPAND, 0)
        grid_sizer_2.Add(self.rebuild_table_button, 0, wx.ALIGN_CENTER | wx.EXPAND, 0)
        grid_sizer_2.Add(self.start_button, 0, wx.ALIGN_CENTER | wx.EXPAND, 0)
        grid_sizer_2.Add(self.stop_button, 0, wx.ALIGN_CENTER | wx.EXPAND, 0)
        grid_sizer_2.Add(self.erase_log_button, 0, wx.ALIGN_CENTER | wx.EXPAND, 0)
        grid_sizer_2.Add(self.help_button, 0, wx.ALIGN_CENTER | wx.EXPAND, 0)
        grid_sizer_2.Add(self.quit_button, 0, wx.ALIGN_CENTER | wx.EXPAND, 0)
        sizer_1.Add(grid_sizer_2, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_1)
        sizer_1.Fit(self)
        self.Layout()
        # end wxGlade

# end of class LibraryDBGUI
